[Python-modules-commits] r24951 - in packages/fabulous/trunk/debian (5 files)

laarmen-guest at users.alioth.debian.org laarmen-guest at users.alioth.debian.org
Tue Jun 25 16:27:52 UTC 2013


    Date: Tuesday, June 25, 2013 @ 16:27:51
  Author: laarmen-guest
Revision: 24951

Remove the fonts/ directory when using uscan.

Added:
  packages/fabulous/trunk/debian/prune/
  packages/fabulous/trunk/debian/prune/fonts
  packages/fabulous/trunk/debian/repack.sh
Modified:
  packages/fabulous/trunk/debian/README.source
  packages/fabulous/trunk/debian/watch

Modified: packages/fabulous/trunk/debian/README.source
===================================================================
--- packages/fabulous/trunk/debian/README.source	2013-06-25 13:52:39 UTC (rev 24950)
+++ packages/fabulous/trunk/debian/README.source	2013-06-25 16:27:51 UTC (rev 24951)
@@ -1,7 +1,5 @@
 The fabulous/fonts directory has been removed as the license of these files
 isn't specified.
 
-To produce the tarball from the original tarball obtained via means like uscan,
-just do
-
-$ gzip -dc fabulous_$UVERSION.orig.tar.gz | tar --delete "fabulous-$UVERSION/fabulous/fonts" | gzip > fabulous_$UVERSION+dfsg1.orig.tar.gz
+In order to get the tarball, simply run uscan, it will strip the downloaded
+tarball and add the +dfsg1 suffix.

Added: packages/fabulous/trunk/debian/prune/fonts
===================================================================
--- packages/fabulous/trunk/debian/prune/fonts	                        (rev 0)
+++ packages/fabulous/trunk/debian/prune/fonts	2013-06-25 16:27:51 UTC (rev 24951)
@@ -0,0 +1 @@
+fabulous/fonts

Added: packages/fabulous/trunk/debian/repack.sh
===================================================================
--- packages/fabulous/trunk/debian/repack.sh	                        (rev 0)
+++ packages/fabulous/trunk/debian/repack.sh	2013-06-25 16:27:51 UTC (rev 24951)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Taken from the X Strike Force Build System
+
+set -e
+
+if ! [ -d debian/prune ]; then
+	exit 0
+fi
+
+if [ "x$1" != x--upstream-version ]; then
+	exit 1
+fi
+
+version="$2"
+filename="$3"
+source="fabulous"
+
+
+if [ -z "$version" ] || ! [ -f "$filename" ]; then
+	exit 1
+fi
+
+dir="$(pwd)"
+tempdir="$(mktemp -d)"
+
+cd "$tempdir"
+tar xf "$dir/$filename"
+cat "$dir"/debian/prune/* | while read file; do rm -rf */$file; done
+
+tar czf "$dir/$source_$version+dfsg1.orig.tar.gz" *
+cd "$dir"
+rm -rf "$tempdir"
+echo "Done pruning upstream tarball"
+
+exit 0


Property changes on: packages/fabulous/trunk/debian/repack.sh
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/fabulous/trunk/debian/watch
===================================================================
--- packages/fabulous/trunk/debian/watch	2013-06-25 13:52:39 UTC (rev 24950)
+++ packages/fabulous/trunk/debian/watch	2013-06-25 16:27:51 UTC (rev 24951)
@@ -1,4 +1,4 @@
 version=3
 
 opts=dversionmangle=s/\+dfsg\d+// \
-http://lobstertech.com/fabulous.html /media/file/fabulous/fabulous-(.*)\.tar\.gz
+http://lobstertech.com/fabulous.html /media/file/fabulous/fabulous-(.*)\.tar\.gz debian debian/repack.sh




More information about the Python-modules-commits mailing list